> ## Documentation Index
> Fetch the complete documentation index at: https://knowledge.bitbybit.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Products

> Retrieve a paginated list of products for your company.



## OpenAPI

````yaml GET /products
openapi: 3.1.0
info:
  title: bitbybit Open API
  description: >-
    The bitbybit Open API provides programmatic access to your bitbybit data
    including customers, orders, and products.
  version: 1.0.0
  contact:
    name: bitbybit Support
    url: https://bitbybit.studio
servers:
  - url: https://api.bitbybit.studio/customer/api/open/v1
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /products:
    get:
      tags:
        - Products
      summary: List products
      description: Retrieve a paginated list of products for your company.
      operationId: listProducts
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
            maximum: 100
        - name: search
          in: query
          schema:
            type: string
          description: Search by product name
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Product'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
components:
  schemas:
    Product:
      type: object
      properties:
        id:
          type: string
        productId:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        media:
          type: string
          nullable: true
        medias:
          type: array
          items:
            type: string
        status:
          type: string
          nullable: true
        variants:
          type: array
          items:
            $ref: '#/components/schemas/ProductVariant'
        options:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              values:
                type: array
                items:
                  type: string
        tags:
          type: array
          items:
            type: string
        types:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    PaginationMeta:
      type: object
      properties:
        page:
          type: integer
        limit:
          type: integer
        total:
          type: integer
        hasNextPage:
          type: boolean
    ProductVariant:
      type: object
      properties:
        id:
          type: string
        key:
          type: string
        price:
          type: number
        compareAtPrice:
          type: number
          nullable: true
        inventorySku:
          type: string
          nullable: true
        media:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Create one in Settings > Developer.

````